[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# EnumResourceTypes

Enumerate available resource types

## Declaration

Source position: resh.inc line 57

`function EnumResourceTypes(`
`ModuleHandle: TFPResourceHMODULE;`
`EnumFunc: EnumResTypeProc;`
`lParam: PtrInt`
`):LongBool;`

## Description

EnumResourceTypes enumerates the types of all resources in the module ModuleHandle. For each resource available it calls EnumFunc and passes it ModuleHandle, the type of the resource, and lParam. It returns False if no resources are available for the specified module, or True if there are resources available.

## Errors

None.

## See also

EnumResourceNames |  | Enumerate available resource names for a specified resource type
EnumResourceLanguages |  | Enumerate available languages for a resource of given type and name

Documentation generated on: Feb 26 2014